from django.urls import path
from django.views.generic import TemplateView
from django.contrib.auth import views as auth_views
from django.contrib.auth.views import LogoutView

from .views import *
from .models import ComPolicy
from .sitemaps import *
from django.contrib.sitemaps.views import sitemap

sitemaps={
    'web':WebSitemap,
    'base':BaseSitemaps,
    'policy':PolicySitemap,
}
ecom_sitemaps={
    'catIndex':CategoryIndexSitemap,
    'cat':CategorySitemap,
    'prod_brand':ProductBrandSitemap,
    'prod':ProductSitemap,
    'prod_var':ProductVarSitemap,
}
news_sitemaps={
    'news_index':NewsIndexSitemap,
    'news':NewsSitemap,
}
blog_sitemaps={
    'blog_index':BlogIndexSitemap,
    'blog':BlogSitemap,
}
tut_sitemaps={
    'tut_index':TutorialIndexSitemap,
    'tut':TutorialSitemap,
}

urlpatterns = [
    path('sitemap.xml/', sitemap,{'sitemaps':sitemaps},name='django.contrib.sitemaps.views.sitemap'),
    path('tutorials-sitemap.xml/', sitemap,{'sitemaps':tut_sitemaps},name='tutorials_sitemap'),
    path('blog-sitemap.xml/', sitemap,{'sitemaps':blog_sitemaps},name='blogs_sitemap'),
    path('news-sitemap.xml/', sitemap,{'sitemaps':news_sitemaps},name='news_sitemap'),
    path('ecom-sitemap.xml/', sitemap,{'sitemaps':ecom_sitemaps},name='ecom_sitemap'),

    path('robots.txt/', TemplateView.as_view(template_name="robots.txt",content_type="text/plain")),
    path('subscribe/', subscribe),
    
    path("login/", login_page),
    path("signup/", signup),
    path("logout/", LogoutView.as_view()),
    # path("dash/", login_required(TemplateView.as_view(template_name="cPanel/dashboard.html"))),
    path("dash/", login_required(TemplateView.as_view(template_name="Dashboard/index.html"))),
    # path("thanks/", TemplateView.as_view(template_name="pages/thanks.html")),
    # path("post-enq/", createEnq),
    path("dash/blogs/", book_blog_list,name="user-blogs"),
    path("dash/how-to/", book_tut_list,name="user-how-to"),
    path("dash/enquiry/", enquiry_list,name="enq"),
    # path("dash/enquiry/<id>/", enq),
    # path("dash/enquiry-delete/<id>/", enq_delete),
    path("dash/settings/", TemplateView.as_view(template_name="cPanel/settings.html"),name="settings"),
    path("dash/settings/profile/", profile,name="user_profile"),
    path("dash/settings/change-password/", change_password,name="change_password"),
    path("dash/users/", users,name="user_list"),
    path("dash/add-user/", add_user,name="add_user"),

    # path("accounts/password_change/done/ ", auth_views.PasswordChangeDoneView.as_view(
    #     template_name="registration/change-password-done.html")),

]
try:
    for cp in ComPolicy.objects.all():
        if cp.title:
            urlpatterns.insert(
                2, path(str(cp.slug)+"/", TemplateView.as_view(template_name="Pages/policy.html")),)
        else:
            urlpatterns.insert(2, path(str(cp.type.slug)+"/",
                            TemplateView.as_view(template_name="Pages/policy.html")),)
except Exception as e:
    pass


